Subject: 27.0.50; print-quoted should default to t

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Jan 2018 11:31:09 -0500

Package: Emacs
Version: 27.0.50

I was reviewing some of my local patches and noticed that I tend to
let-bind print-quoted to t everywhere, and it occurred to me that
instead we should simply change the default.  I can't remember
a circumstance where I needed print-quoted to be nil (tho I wouldn't be
surprised if this patch ends up finding such a circumstance).

I suggest the patch below (for master, obviously).

        Stefan

diff --git a/src/print.c b/src/print.c
index 2c5cf108aa..b9d556c17c 100644
--- a/src/print.c
+++ b/src/print.c
@@ -2424,7 +2424,7 @@ This affects only `prin1'.  */);
   DEFVAR_BOOL ("print-quoted", print_quoted,
 	       doc: /* Non-nil means print quoted forms with reader syntax.
 I.e., (quote foo) prints as \\='foo, (function foo) as #\\='foo.  */);
-  print_quoted = 0;
+  print_quoted = true;
 
   DEFVAR_LISP ("print-gensym", Vprint_gensym,
 	       doc: /* Non-nil means print uninterned symbols so they will read as uninterned.